import java.util.*;

/**
 * 
 * The interface for a predictor.  A predictor must implement the nextGame and 
 * nextDay methods.
 *
 */
public interface SCMPredictor {

	public void nextGame(boolean newAgents);
	public void nextDay(Vector messagesIn, Vector messagesOut, PredictionObject predictions);			
}
